function maxIteration = max_RANSAC_iteration_with_confidence(confidencePercentage, maxOutlierPercentage, subspaceCount, subspaceDimension)

maxSubspaceInlierPercentage = (1-maxOutlierPercentage)/subspaceCount;
maxIteration = round(log(1-confidencePercentage)/log(1-maxSubspaceInlierPercentage^subspaceDimension));